/**********************************************************************************************************************
 *  Copyright (c) 2020
 *  Corvus Engineering, LLC
 *  All Rights Reserved
 *
 *  This file is the intellectual property of:
 *   Corvus Engineering, LLC
 *   4206 Buckskin Lake Dr.
 *   Ellicott City, Maryland 21042
 *
 *   mwarble@corvusengineering.com
 *   www.corvusengineering.com
 *
 *  Use is subject to licensing agreement.
 *
 **********************************************************************************************************************/
package com.oorian.quickstart;

import com.oorian.annotations.Page;
import com.oorian.css.TextAlign;
import com.oorian.html.HtmlPage;
import com.oorian.html.elements.Body;
import com.oorian.html.elements.Div;
import com.oorian.html.elements.H1;
import com.oorian.html.elements.Head;


@Page("/")
public class MyPage extends HtmlPage 
{
    public MyPage()
    {
        
    }

    @Override
    protected void createHead(Head head)
    {
        head.setTitle("Hello World");
    }

    @Override
    protected void createBody(Body body) 
    {
        Div div = new Div();
        div.setTextAlign(TextAlign.CENTER);
        div.addElement(new H1("Hello World!"));
        body.addElement(div);
    }
    
    @Override
    protected void onLoaded()
    {
        // Called after the page is loaded in the browser.
    }
}
